| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::GCompileArg Struct Reference
G-API framework » G-API Graph Compilation Arguments

Represents an arbitrary compilation argument. More...

`#include <opencv2/gapi/gcommon.hpp>`

Collaboration diagram for cv::GCompileArg:

## Public Member Functions
| GCompileArg ()=default
template<typename T , typename std::enable_if<!detail::is_compile_arg< T >::value, int >::type = 0>
| GCompileArg (T &&t)
template<typename T >
T & | get ()
template<typename T >
const T & | get () const
void | serialize (cv::gapi::s11n::IOStream &os) const

## Public Attributes
std::string | tag

## Detailed Description

Represents an arbitrary compilation argument.

Any value can be wrapped into cv::GCompileArg, but only known ones (to G-API or its backends) can be interpreted correctly.

Normally objects of this class shouldn't be created manually, use cv::compile_args() function which automatically wraps everything passed in (a variadic template parameter pack) into a vector of cv::GCompileArg objects.

## Constructor & Destructor Documentation

## ◆ GCompileArg() [1/2]

cv::GCompileArg::GCompileArg | ( |  | ) |
| default

## ◆ GCompileArg() [2/2]

template<typename T , typename std::enable_if<!detail::is_compile_arg< T >::value, int >::type = 0>

cv::GCompileArg::GCompileArg | ( | T && | t | ) |
| inline explicit

## Member Function Documentation

## ◆ get() [1/2]

template<typename T >

T & cv::GCompileArg::get | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ get() [2/2]

template<typename T >

const T & cv::GCompileArg::get | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ serialize()

void cv::GCompileArg::serialize | ( | cv::gapi::s11n::IOStream & | os | ) | const
| inline

## Member Data Documentation

## ◆ tag

std::string cv::GCompileArg::tag

The documentation for this struct was generated from the following file:

- opencv2/gapi/gcommon.hpp